Disappearing vector lines when zooming in

2018-11-07 09:07 AM - Mikael Vaaltola

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.1 Regression?: No

Operating System: Ubuntu 18.04, Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28211

Description

Vector lines/tracks loaded from a gpx file disappear when zooming in. This only affects some gpx files, while others seem to work fine.

I have tested this on both QGIS 2.18 and 3.4.1. The problem is easy to reproduce:

1. Create a new project, load the attached gpx file in QGIS and add the tracks layer to the project.

2. Zoom out to see the tracks, zoom in and they disappear. The cutoff seems to be around scale 1:18000.

I found earlier bug reports of disappearing vector geometries, but they were mostly related to shape files and corrupt spatial indexes. The

proposed solution of deleting the spatial index file doesn't apply to gpx files.

History

#1 - 2018-11-07 12:43 PM - Giovanni Manghi

- Status changed from Open to Feedback

The vector has hundreds of geometry errors (auto-intersections mainly).

#2 - 2018-11-07 12:50 PM - Giovanni Manghi

It has also lines of length 0.

Clean it using Processing v.clean tool (option "rmline", Threshold 0) and you'll get a good copy.

#3 - 2018-11-07 02:08 PM - Alessandro Pasotti

I wonder if we should warn the user in some way: just seeing a layer disappear is not a good UX.

#4 - 2018-11-07 03:36 PM - Giovanni Manghi

Alessandro Pasotti wrote:

I wonder if we should warn the user in some way: just seeing a layer disappear is not a good UX.

agree (and long standing ux problem by the way).
#5 - 2018-11-08 03:55 PM - Mikael Vaaltola

Giovanni Manghi wrote:

It has also lines of length 0.

Clean it using Processing v.clean tool (option "rmline", Threshold 0) and you'll get a good copy.

Thank you, this worked perfectly. I too agree that some kind of warning would be nice, I had no idea what was causing the issue.

#6 - 2018-11-08 04:38 PM - Giovanni Manghi

Thank you, this worked perfectly. I too agree that some kind of warning would be nice, I had no idea what was causing the issue.

I think we should close this and open a feature request for the warnings.

#7 - 2019-02-24 01:25 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

2018-08-29-08.47.52.gpx 312 KB 2018-11-07 Mikael Vaaltola
